Unity Cloud Build

Documentation.

Xcode to Unity Versions Compatibility

Due to Apple Xcode and older Unity 32-bit OS limitations, certain older versions of Unity cannot support Xcode 11.7, Xcode 12, or newer Xcode versions. Please see the table below for the latest Xcode supported by Unity version:

Unity Versions Xcode 10 Xcode 11 Xcode 12 Xcode 13 Full Customer Ticket Support
5.x (All Versions) 10.3 11.4.1 N/A N/A No
2017.x (All Versions) 10.3 11.4.1 N/A N/A No
2018.4.0 through 2018.4.28 10.3 11.4.1 N/A N/A No
2019.4.0 through 2019.4.12 10.3 11.4.1 N/A N/A Yes
2020.1.0 through 2020.1.8 10.3 11.4.1 N/A N/A Yes
2018.4.29 through 2018 Latest N/A 11.7 12.5.1 13.0 Yes
2019.4.13 through 2019 Latest N/A 11.7 12.5.1 13.0 Yes
2020.1.9 through 2020 Latest N/A 11.7 12.5.1 13.0 Yes
2021 (All) N/A 11.7 12.5.1 13.0 Yes (when LTS)

While you can continue to build for the older Unity editor versions, we are unable to provide customer support and bug fixes for any issues that may arise on the Unity 5, Unity 2017, or Unity 2018 versions. Please view our policy for more information.

We advise customers to upgrade to one of the newer supported versions of Unity as soon as possible.